<a id="mypy-boto3-chime"></a>

# mypy-boto3-chime

[![PyPI - mypy-boto3-chime](https://img.shields.io/pypi/v/mypy-boto3-chime.svg?color=blue)](https://pypi.org/project/mypy-boto3-chime)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-chime.svg?color=blue)](https://pypi.org/project/mypy-boto3-chime)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dw/mypy-boto3-chime?color=blue)](https://pypistats.org/packages/mypy-boto3-chime)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.Chime 1.17.102](https://boto3.amazonaws.com/v1/documentation/api/1.17.102/reference/services/chime.html#Chime)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-buider 4.20.0](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-chime docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_chime/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-chime](#mypy-boto3-chime)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

Install `boto3-stubs` for `Chime` service.

```bash
python -m pip install boto3-stubs[chime]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[chime]` in your environment:
  `python -m pip install 'boto3-stubs[chime]'`

Both type checking and auto-complete should work for `Chime` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `boto-stubs[chime]` in your environment:
  `python -m pip install 'boto3-stubs[chime]'`

Both type checking and auto-complete should work for `Chime` service. No
explicit type annotations required, write your `boto3` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`boto3-stubs` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE support `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[chime]` in your environment:
  `python -m pip install 'boto3-stubs[chime]'`
- Run `mypy` as usual

Type checking should work for `Chime` service. No explicit type annotations
required, write your `boto3` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[chime]` in your environment:
  `python -m pip install 'boto3-stubs[chime]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `Chime` service. No explicit type annotations
required, write your `boto3` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`ChimeClient` provides annotations for `boto3.client("chime")`.

```python
import boto3

from mypy_boto3_chime import ChimeClient

client: ChimeClient = boto3.client("chime")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: ChimeClient = session.client("chime")
```

<a id="paginators-annotations"></a>

### Paginators annotations

`mypy_boto3_chime.paginator` module contains type annotations for all
paginators.

```python
from mypy_boto3_chime import ChimeClient
from mypy_boto3_chime.paginator import (
    ListAccountsPaginator,
    ListUsersPaginator,
)

client: ChimeClient = boto3.client("chime")

# Explicit type annotations are optional here
# Type should be correctly discovered by mypy and IDEs
# VSCode requires explicit type annotations
list_accounts_paginator: ListAccountsPaginator = client.get_paginator("list_accounts")
list_users_paginator: ListUsersPaginator = client.get_paginator("list_users")
```

<a id="literals"></a>

### Literals

`mypy_boto3_chime.literals` module contains literals extracted from shapes that
can be used in user code for type checking.

```python
from mypy_boto3_chime.literals import (
    AccountTypeType,
    AppInstanceDataTypeType,
    BotTypeType,
    CallingNameStatusType,
    CapabilityType,
    ChannelMembershipTypeType,
    ChannelMessagePersistenceTypeType,
    ChannelMessageTypeType,
    ChannelModeType,
    ChannelPrivacyType,
    EmailStatusType,
    ErrorCodeType,
    GeoMatchLevelType,
    InviteStatusType,
    LicenseType,
    ListAccountsPaginatorName,
    ListUsersPaginatorName,
    MemberTypeType,
    NotificationTargetType,
    NumberSelectionBehaviorType,
    OrderedPhoneNumberStatusType,
    OriginationRouteProtocolType,
    PhoneNumberAssociationNameType,
    PhoneNumberOrderStatusType,
    PhoneNumberProductTypeType,
    PhoneNumberStatusType,
    PhoneNumberTypeType,
    ProxySessionStatusType,
    RegistrationStatusType,
    RoomMembershipRoleType,
    SipRuleTriggerTypeType,
    SortOrderType,
    UserTypeType,
    VoiceConnectorAwsRegionType,
)

def check_value(value: AccountTypeType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`mypy_boto3_chime.type_defs` module contains structures and shapes assembled to
typed dictionaries for additional type checking.

```python
from mypy_boto3_chime.type_defs import (
    AccountSettingsTypeDef,
    AccountTypeDef,
    AlexaForBusinessMetadataTypeDef,
    AppInstanceAdminSummaryTypeDef,
    AppInstanceAdminTypeDef,
    AppInstanceRetentionSettingsTypeDef,
    AppInstanceStreamingConfigurationTypeDef,
    AppInstanceSummaryTypeDef,
    AppInstanceTypeDef,
    AppInstanceUserMembershipSummaryTypeDef,
    AppInstanceUserSummaryTypeDef,
    AppInstanceUserTypeDef,
    AssociatePhoneNumberWithUserRequestTypeDef,
    AssociatePhoneNumbersWithVoiceConnectorGroupRequestTypeDef,
    AssociatePhoneNumbersWithVoiceConnectorGroupResponseResponseTypeDef,
    AssociatePhoneNumbersWithVoiceConnectorRequestTypeDef,
    AssociatePhoneNumbersWithVoiceConnectorResponseResponseTypeDef,
    AssociateSigninDelegateGroupsWithAccountRequestTypeDef,
    AttendeeTypeDef,
    BatchChannelMembershipsTypeDef,
    BatchCreateAttendeeRequestTypeDef,
    BatchCreateAttendeeResponseResponseTypeDef,
    BatchCreateChannelMembershipErrorTypeDef,
    BatchCreateChannelMembershipRequestTypeDef,
    BatchCreateChannelMembershipResponseResponseTypeDef,
    BatchCreateRoomMembershipRequestTypeDef,
    BatchCreateRoomMembershipResponseResponseTypeDef,
    BatchDeletePhoneNumberRequestTypeDef,
    BatchDeletePhoneNumberResponseResponseTypeDef,
    BatchSuspendUserRequestTypeDef,
    BatchSuspendUserResponseResponseTypeDef,
    BatchUnsuspendUserRequestTypeDef,
    BatchUnsuspendUserResponseResponseTypeDef,
    BatchUpdatePhoneNumberRequestTypeDef,
    BatchUpdatePhoneNumberResponseResponseTypeDef,
    BatchUpdateUserRequestTypeDef,
    BatchUpdateUserResponseResponseTypeDef,
    BotTypeDef,
    BusinessCallingSettingsTypeDef,
    ChannelBanSummaryTypeDef,
    ChannelBanTypeDef,
    ChannelMembershipForAppInstanceUserSummaryTypeDef,
    ChannelMembershipSummaryTypeDef,
    ChannelMembershipTypeDef,
    ChannelMessageSummaryTypeDef,
    ChannelMessageTypeDef,
    ChannelModeratedByAppInstanceUserSummaryTypeDef,
    ChannelModeratorSummaryTypeDef,
    ChannelModeratorTypeDef,
    ChannelRetentionSettingsTypeDef,
    ChannelSummaryTypeDef,
    ChannelTypeDef,
    ConversationRetentionSettingsTypeDef,
    CreateAccountRequestTypeDef,
    CreateAccountResponseResponseTypeDef,
    CreateAppInstanceAdminRequestTypeDef,
    CreateAppInstanceAdminResponseResponseTypeDef,
    CreateAppInstanceRequestTypeDef,
    CreateAppInstanceResponseResponseTypeDef,
    CreateAppInstanceUserRequestTypeDef,
    CreateAppInstanceUserResponseResponseTypeDef,
    CreateAttendeeErrorTypeDef,
    CreateAttendeeRequestItemTypeDef,
    CreateAttendeeRequestTypeDef,
    CreateAttendeeResponseResponseTypeDef,
    CreateBotRequestTypeDef,
    CreateBotResponseResponseTypeDef,
    CreateChannelBanRequestTypeDef,
    CreateChannelBanResponseResponseTypeDef,
    CreateChannelMembershipRequestTypeDef,
    CreateChannelMembershipResponseResponseTypeDef,
    CreateChannelModeratorRequestTypeDef,
    CreateChannelModeratorResponseResponseTypeDef,
    CreateChannelRequestTypeDef,
    CreateChannelResponseResponseTypeDef,
    CreateMeetingDialOutRequestTypeDef,
    CreateMeetingDialOutResponseResponseTypeDef,
    CreateMeetingRequestTypeDef,
    CreateMeetingResponseResponseTypeDef,
    CreateMeetingWithAttendeesRequestTypeDef,
    CreateMeetingWithAttendeesResponseResponseTypeDef,
    CreatePhoneNumberOrderRequestTypeDef,
    CreatePhoneNumberOrderResponseResponseTypeDef,
    CreateProxySessionRequestTypeDef,
    CreateProxySessionResponseResponseTypeDef,
    CreateRoomMembershipRequestTypeDef,
    CreateRoomMembershipResponseResponseTypeDef,
    CreateRoomRequestTypeDef,
    CreateRoomResponseResponseTypeDef,
    CreateSipMediaApplicationCallRequestTypeDef,
    CreateSipMediaApplicationCallResponseResponseTypeDef,
    CreateSipMediaApplicationRequestTypeDef,
    CreateSipMediaApplicationResponseResponseTypeDef,
    CreateSipRuleRequestTypeDef,
    CreateSipRuleResponseResponseTypeDef,
    CreateUserRequestTypeDef,
    CreateUserResponseResponseTypeDef,
    CreateVoiceConnectorGroupRequestTypeDef,
    CreateVoiceConnectorGroupResponseResponseTypeDef,
    CreateVoiceConnectorRequestTypeDef,
    CreateVoiceConnectorResponseResponseTypeDef,
    CredentialTypeDef,
    DNISEmergencyCallingConfigurationTypeDef,
    DeleteAccountRequestTypeDef,
    DeleteAppInstanceAdminRequestTypeDef,
    DeleteAppInstanceRequestTypeDef,
    DeleteAppInstanceStreamingConfigurationsRequestTypeDef,
    DeleteAppInstanceUserRequestTypeDef,
    DeleteAttendeeRequestTypeDef,
    DeleteChannelBanRequestTypeDef,
    DeleteChannelMembershipRequestTypeDef,
    DeleteChannelMessageRequestTypeDef,
    DeleteChannelModeratorRequestTypeDef,
    DeleteChannelRequestTypeDef,
    DeleteEventsConfigurationRequestTypeDef,
    DeleteMeetingRequestTypeDef,
    DeletePhoneNumberRequestTypeDef,
    DeleteProxySessionRequestTypeDef,
    DeleteRoomMembershipRequestTypeDef,
    DeleteRoomRequestTypeDef,
    DeleteSipMediaApplicationRequestTypeDef,
    DeleteSipRuleRequestTypeDef,
    DeleteVoiceConnectorEmergencyCallingConfigurationRequestTypeDef,
    DeleteVoiceConnectorGroupRequestTypeDef,
    DeleteVoiceConnectorOriginationRequestTypeDef,
    DeleteVoiceConnectorProxyRequestTypeDef,
    DeleteVoiceConnectorRequestTypeDef,
    DeleteVoiceConnectorStreamingConfigurationRequestTypeDef,
    DeleteVoiceConnectorTerminationCredentialsRequestTypeDef,
    DeleteVoiceConnectorTerminationRequestTypeDef,
    DescribeAppInstanceAdminRequestTypeDef,
    DescribeAppInstanceAdminResponseResponseTypeDef,
    DescribeAppInstanceRequestTypeDef,
    DescribeAppInstanceResponseResponseTypeDef,
    DescribeAppInstanceUserRequestTypeDef,
    DescribeAppInstanceUserResponseResponseTypeDef,
    DescribeChannelBanRequestTypeDef,
    DescribeChannelBanResponseResponseTypeDef,
    DescribeChannelMembershipForAppInstanceUserRequestTypeDef,
    DescribeChannelMembershipForAppInstanceUserResponseResponseTypeDef,
    DescribeChannelMembershipRequestTypeDef,
    DescribeChannelMembershipResponseResponseTypeDef,
    DescribeChannelModeratedByAppInstanceUserRequestTypeDef,
    DescribeChannelModeratedByAppInstanceUserResponseResponseTypeDef,
    DescribeChannelModeratorRequestTypeDef,
    DescribeChannelModeratorResponseResponseTypeDef,
    DescribeChannelRequestTypeDef,
    DescribeChannelResponseResponseTypeDef,
    DisassociatePhoneNumberFromUserRequestTypeDef,
    DisassociatePhoneNumbersFromVoiceConnectorGroupRequestTypeDef,
    DisassociatePhoneNumbersFromVoiceConnectorGroupResponseResponseTypeDef,
    DisassociatePhoneNumbersFromVoiceConnectorRequestTypeDef,
    DisassociatePhoneNumbersFromVoiceConnectorResponseResponseTypeDef,
    DisassociateSigninDelegateGroupsFromAccountRequestTypeDef,
    EmergencyCallingConfigurationTypeDef,
    EventsConfigurationTypeDef,
    GeoMatchParamsTypeDef,
    GetAccountRequestTypeDef,
    GetAccountResponseResponseTypeDef,
    GetAccountSettingsRequestTypeDef,
    GetAccountSettingsResponseResponseTypeDef,
    GetAppInstanceRetentionSettingsRequestTypeDef,
    GetAppInstanceRetentionSettingsResponseResponseTypeDef,
    GetAppInstanceStreamingConfigurationsRequestTypeDef,
    GetAppInstanceStreamingConfigurationsResponseResponseTypeDef,
    GetAttendeeRequestTypeDef,
    GetAttendeeResponseResponseTypeDef,
    GetBotRequestTypeDef,
    GetBotResponseResponseTypeDef,
    GetChannelMessageRequestTypeDef,
    GetChannelMessageResponseResponseTypeDef,
    GetEventsConfigurationRequestTypeDef,
    GetEventsConfigurationResponseResponseTypeDef,
    GetGlobalSettingsResponseResponseTypeDef,
    GetMeetingRequestTypeDef,
    GetMeetingResponseResponseTypeDef,
    GetMessagingSessionEndpointResponseResponseTypeDef,
    GetPhoneNumberOrderRequestTypeDef,
    GetPhoneNumberOrderResponseResponseTypeDef,
    GetPhoneNumberRequestTypeDef,
    GetPhoneNumberResponseResponseTypeDef,
    GetPhoneNumberSettingsResponseResponseTypeDef,
    GetProxySessionRequestTypeDef,
    GetProxySessionResponseResponseTypeDef,
    GetRetentionSettingsRequestTypeDef,
    GetRetentionSettingsResponseResponseTypeDef,
    GetRoomRequestTypeDef,
    GetRoomResponseResponseTypeDef,
    GetSipMediaApplicationLoggingConfigurationRequestTypeDef,
    GetSipMediaApplicationLoggingConfigurationResponseResponseTypeDef,
    GetSipMediaApplicationRequestTypeDef,
    GetSipMediaApplicationResponseResponseTypeDef,
    GetSipRuleRequestTypeDef,
    GetSipRuleResponseResponseTypeDef,
    GetUserRequestTypeDef,
    GetUserResponseResponseTypeDef,
    GetUserSettingsRequestTypeDef,
    GetUserSettingsResponseResponseTypeDef,
    GetVoiceConnectorEmergencyCallingConfigurationRequestTypeDef,
    GetVoiceConnectorEmergencyCallingConfigurationResponseResponseTypeDef,
    GetVoiceConnectorGroupRequestTypeDef,
    GetVoiceConnectorGroupResponseResponseTypeDef,
    GetVoiceConnectorLoggingConfigurationRequestTypeDef,
    GetVoiceConnectorLoggingConfigurationResponseResponseTypeDef,
    GetVoiceConnectorOriginationRequestTypeDef,
    GetVoiceConnectorOriginationResponseResponseTypeDef,
    GetVoiceConnectorProxyRequestTypeDef,
    GetVoiceConnectorProxyResponseResponseTypeDef,
    GetVoiceConnectorRequestTypeDef,
    GetVoiceConnectorResponseResponseTypeDef,
    GetVoiceConnectorStreamingConfigurationRequestTypeDef,
    GetVoiceConnectorStreamingConfigurationResponseResponseTypeDef,
    GetVoiceConnectorTerminationHealthRequestTypeDef,
    GetVoiceConnectorTerminationHealthResponseResponseTypeDef,
    GetVoiceConnectorTerminationRequestTypeDef,
    GetVoiceConnectorTerminationResponseResponseTypeDef,
    IdentityTypeDef,
    InviteTypeDef,
    InviteUsersRequestTypeDef,
    InviteUsersResponseResponseTypeDef,
    ListAccountsRequestTypeDef,
    ListAccountsResponseResponseTypeDef,
    ListAppInstanceAdminsRequestTypeDef,
    ListAppInstanceAdminsResponseResponseTypeDef,
    ListAppInstanceUsersRequestTypeDef,
    ListAppInstanceUsersResponseResponseTypeDef,
    ListAppInstancesRequestTypeDef,
    ListAppInstancesResponseResponseTypeDef,
    ListAttendeeTagsRequestTypeDef,
    ListAttendeeTagsResponseResponseTypeDef,
    ListAttendeesRequestTypeDef,
    ListAttendeesResponseResponseTypeDef,
    ListBotsRequestTypeDef,
    ListBotsResponseResponseTypeDef,
    ListChannelBansRequestTypeDef,
    ListChannelBansResponseResponseTypeDef,
    ListChannelMembershipsForAppInstanceUserRequestTypeDef,
    ListChannelMembershipsForAppInstanceUserResponseResponseTypeDef,
    ListChannelMembershipsRequestTypeDef,
    ListChannelMembershipsResponseResponseTypeDef,
    ListChannelMessagesRequestTypeDef,
    ListChannelMessagesResponseResponseTypeDef,
    ListChannelModeratorsRequestTypeDef,
    ListChannelModeratorsResponseResponseTypeDef,
    ListChannelsModeratedByAppInstanceUserRequestTypeDef,
    ListChannelsModeratedByAppInstanceUserResponseResponseTypeDef,
    ListChannelsRequestTypeDef,
    ListChannelsResponseResponseTypeDef,
    ListMeetingTagsRequestTypeDef,
    ListMeetingTagsResponseResponseTypeDef,
    ListMeetingsRequestTypeDef,
    ListMeetingsResponseResponseTypeDef,
    ListPhoneNumberOrdersRequestTypeDef,
    ListPhoneNumberOrdersResponseResponseTypeDef,
    ListPhoneNumbersRequestTypeDef,
    ListPhoneNumbersResponseResponseTypeDef,
    ListProxySessionsRequestTypeDef,
    ListProxySessionsResponseResponseTypeDef,
    ListRoomMembershipsRequestTypeDef,
    ListRoomMembershipsResponseResponseTypeDef,
    ListRoomsRequestTypeDef,
    ListRoomsResponseResponseTypeDef,
    ListSipMediaApplicationsRequestTypeDef,
    ListSipMediaApplicationsResponseResponseTypeDef,
    ListSipRulesRequestTypeDef,
    ListSipRulesResponseResponseTypeDef,
    ListSupportedPhoneNumberCountriesRequestTypeDef,
    ListSupportedPhoneNumberCountriesResponseResponseTypeDef,
    ListTagsForResourceRequestTypeDef,
    ListTagsForResourceResponseResponseTypeDef,
    ListUsersRequestTypeDef,
    ListUsersResponseResponseTypeDef,
    ListVoiceConnectorGroupsRequestTypeDef,
    ListVoiceConnectorGroupsResponseResponseTypeDef,
    ListVoiceConnectorTerminationCredentialsRequestTypeDef,
    ListVoiceConnectorTerminationCredentialsResponseResponseTypeDef,
    ListVoiceConnectorsRequestTypeDef,
    ListVoiceConnectorsResponseResponseTypeDef,
    LoggingConfigurationTypeDef,
    LogoutUserRequestTypeDef,
    MediaPlacementTypeDef,
    MeetingNotificationConfigurationTypeDef,
    MeetingTypeDef,
    MemberErrorTypeDef,
    MemberTypeDef,
    MembershipItemTypeDef,
    MessagingSessionEndpointTypeDef,
    OrderedPhoneNumberTypeDef,
    OriginationRouteTypeDef,
    OriginationTypeDef,
    PaginatorConfigTypeDef,
    ParticipantTypeDef,
    PhoneNumberAssociationTypeDef,
    PhoneNumberCapabilitiesTypeDef,
    PhoneNumberCountryTypeDef,
    PhoneNumberErrorTypeDef,
    PhoneNumberOrderTypeDef,
    PhoneNumberTypeDef,
    ProxySessionTypeDef,
    ProxyTypeDef,
    PutAppInstanceRetentionSettingsRequestTypeDef,
    PutAppInstanceRetentionSettingsResponseResponseTypeDef,
    PutAppInstanceStreamingConfigurationsRequestTypeDef,
    PutAppInstanceStreamingConfigurationsResponseResponseTypeDef,
    PutEventsConfigurationRequestTypeDef,
    PutEventsConfigurationResponseResponseTypeDef,
    PutRetentionSettingsRequestTypeDef,
    PutRetentionSettingsResponseResponseTypeDef,
    PutSipMediaApplicationLoggingConfigurationRequestTypeDef,
    PutSipMediaApplicationLoggingConfigurationResponseResponseTypeDef,
    PutVoiceConnectorEmergencyCallingConfigurationRequestTypeDef,
    PutVoiceConnectorEmergencyCallingConfigurationResponseResponseTypeDef,
    PutVoiceConnectorLoggingConfigurationRequestTypeDef,
    PutVoiceConnectorLoggingConfigurationResponseResponseTypeDef,
    PutVoiceConnectorOriginationRequestTypeDef,
    PutVoiceConnectorOriginationResponseResponseTypeDef,
    PutVoiceConnectorProxyRequestTypeDef,
    PutVoiceConnectorProxyResponseResponseTypeDef,
    PutVoiceConnectorStreamingConfigurationRequestTypeDef,
    PutVoiceConnectorStreamingConfigurationResponseResponseTypeDef,
    PutVoiceConnectorTerminationCredentialsRequestTypeDef,
    PutVoiceConnectorTerminationRequestTypeDef,
    PutVoiceConnectorTerminationResponseResponseTypeDef,
    RedactChannelMessageRequestTypeDef,
    RedactChannelMessageResponseResponseTypeDef,
    RedactConversationMessageRequestTypeDef,
    RedactRoomMessageRequestTypeDef,
    RegenerateSecurityTokenRequestTypeDef,
    RegenerateSecurityTokenResponseResponseTypeDef,
    ResetPersonalPINRequestTypeDef,
    ResetPersonalPINResponseResponseTypeDef,
    ResponseMetadataTypeDef,
    RestorePhoneNumberRequestTypeDef,
    RestorePhoneNumberResponseResponseTypeDef,
    RetentionSettingsTypeDef,
    RoomMembershipTypeDef,
    RoomRetentionSettingsTypeDef,
    RoomTypeDef,
    SearchAvailablePhoneNumbersRequestTypeDef,
    SearchAvailablePhoneNumbersResponseResponseTypeDef,
    SendChannelMessageRequestTypeDef,
    SendChannelMessageResponseResponseTypeDef,
    SigninDelegateGroupTypeDef,
    SipMediaApplicationCallTypeDef,
    SipMediaApplicationEndpointTypeDef,
    SipMediaApplicationLoggingConfigurationTypeDef,
    SipMediaApplicationTypeDef,
    SipRuleTargetApplicationTypeDef,
    SipRuleTypeDef,
    StreamingConfigurationTypeDef,
    StreamingNotificationTargetTypeDef,
    TagAttendeeRequestTypeDef,
    TagMeetingRequestTypeDef,
    TagResourceRequestTypeDef,
    TagTypeDef,
    TelephonySettingsTypeDef,
    TerminationHealthTypeDef,
    TerminationTypeDef,
    UntagAttendeeRequestTypeDef,
    UntagMeetingRequestTypeDef,
    UntagResourceRequestTypeDef,
    UpdateAccountRequestTypeDef,
    UpdateAccountResponseResponseTypeDef,
    UpdateAccountSettingsRequestTypeDef,
    UpdateAppInstanceRequestTypeDef,
    UpdateAppInstanceResponseResponseTypeDef,
    UpdateAppInstanceUserRequestTypeDef,
    UpdateAppInstanceUserResponseResponseTypeDef,
    UpdateBotRequestTypeDef,
    UpdateBotResponseResponseTypeDef,
    UpdateChannelMessageRequestTypeDef,
    UpdateChannelMessageResponseResponseTypeDef,
    UpdateChannelReadMarkerRequestTypeDef,
    UpdateChannelReadMarkerResponseResponseTypeDef,
    UpdateChannelRequestTypeDef,
    UpdateChannelResponseResponseTypeDef,
    UpdateGlobalSettingsRequestTypeDef,
    UpdatePhoneNumberRequestItemTypeDef,
    UpdatePhoneNumberRequestTypeDef,
    UpdatePhoneNumberResponseResponseTypeDef,
    UpdatePhoneNumberSettingsRequestTypeDef,
    UpdateProxySessionRequestTypeDef,
    UpdateProxySessionResponseResponseTypeDef,
    UpdateRoomMembershipRequestTypeDef,
    UpdateRoomMembershipResponseResponseTypeDef,
    UpdateRoomRequestTypeDef,
    UpdateRoomResponseResponseTypeDef,
    UpdateSipMediaApplicationCallRequestTypeDef,
    UpdateSipMediaApplicationCallResponseResponseTypeDef,
    UpdateSipMediaApplicationRequestTypeDef,
    UpdateSipMediaApplicationResponseResponseTypeDef,
    UpdateSipRuleRequestTypeDef,
    UpdateSipRuleResponseResponseTypeDef,
    UpdateUserRequestItemTypeDef,
    UpdateUserRequestTypeDef,
    UpdateUserResponseResponseTypeDef,
    UpdateUserSettingsRequestTypeDef,
    UpdateVoiceConnectorGroupRequestTypeDef,
    UpdateVoiceConnectorGroupResponseResponseTypeDef,
    UpdateVoiceConnectorRequestTypeDef,
    UpdateVoiceConnectorResponseResponseTypeDef,
    UserErrorTypeDef,
    UserSettingsTypeDef,
    UserTypeDef,
    VoiceConnectorGroupTypeDef,
    VoiceConnectorItemTypeDef,
    VoiceConnectorSettingsTypeDef,
    VoiceConnectorTypeDef,
)

def get_structure() -> AccountSettingsTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`mypy-boto3-chime` version is the same as related `boto3` version and follows
[PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[mypy-boto3-chime docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_chime/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
